/*
 * Emunation Plugin for MD-API 
 *
 * This code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * Or, point your browser to http://www.gnu.org/copyleft/gpl.html
 */
 
#include "dvbsectiondata.h"

//PAT 
cPAT::cPAT()
{
}
//PAT List
cPAT_PMTList::cPAT_PMTList()
{
}

cPAT_PMTList::cPAT_PMTList(int program_number,int reserved,int network_pmt_PID)
{
    this->program_number=program_number;
    this->reserved=reserved;
    this->network_pmt_PID=network_pmt_PID;
}
cPMT::cPMT()
{
}
cMPEGCADescriptor::cMPEGCADescriptor(int CA_system_ID,int CA_PID,int prov_id)
{
    this->prov_id=prov_id;
    this->CA_system_ID=CA_system_ID;
    this->CA_PID=CA_PID;
}
int cMPEGCADescriptor::Compare(const cListObject &ListObject) const 
{ 
    cMPEGCADescriptor *opr=(cMPEGCADescriptor *)&ListObject;
    if(opr->CA_system_ID==this->CA_system_ID&&
       opr->CA_PID==this->CA_PID&&
       opr->prov_id==this->prov_id
       ) return 0;
    else return 1;
}

